#  *******************************************************************************
#  Copyright (c) 2019 Contributors to the Eclipse Foundation
#
#  See the NOTICE file(s) distributed with this work for additional
#  information regarding copyright ownership.
#
#  This program and the accompanying materials are made available under the
#  terms of the Eclipse Public License v. 2.0 which is available at
#  http://www.eclipse.org/legal/epl-2.0.
#
#  SPDX-License-Identifier: EPL-2.0
#  *******************************************************************************
spring:
  rabbitmq:
    host: ${RMQ_HOST}
    port: 5672
    username: ${RMQ_USER}
    password: ${RMQ_PASSWORD}

    # Importkanal
    importExchange: sitImportExchange
    importQueue: sitImportQueue
    importkey: sitImportExchange.failureImportKey

logging:
  level:
    root: INFO
    org.eclipse.openk: INFO
    org.springframework.web: ERROR

index-channel:
  enabled: true

server:
  port: 9158
  max-http-header-size: 262144

feign:
  client:
    config:
      default:
        connectTimeout: 60000
        readTimeout: 60000

saris:
  apiUrl: https://sarisUrlPlacholder
  user: ${GFI_SARIS_USERNAME}
  password: ${GFI_SARIS_PASSWORD}
  bisToleranz: 1440
  vonToleranz: 1440
  scheduling-import:
    enabled: false
    cron: 0 */15 * ? * *
  testIntegration:
    day: 11
    month: 2
    year: 2020

gridFailureInformation:
  autopublish: true
  onceOnlyImport: false
  excludeEquals: true
  excludeAlreadyEdited: true

security.endpoint:
  user: ${GFI_MANUAL_ENDPOINTS_USERNAME}
  password: ${GFI_MANUAL_ENDPOINTS_PASSWORD}

#swagger:
#  baseUrl: /test-saris-interface